- Qt 5.15
- Qt Sensors
- C++ Classes
- QTapFilter
- Qt 5.15.18 Reference Documentation

# QTapFilter Class

The QTapFilter class is a convenience wrapper around QSensorFilter. More...

Header: | #include <QTapFilter>
qmake: | QT += sensors
Since: | Qt 5.1
Inherits: | QSensorFilter

This class was introduced in Qt 5.1.

- List of all members, including inherited members

## Public Functions

virtual bool | filter(QTapReading *reading) = 0

## Detailed Description

The only difference is that the filter() method features a pointer to QTapReading instead of QSensorReading.

## Member Function Documentation

### `[pure virtual]` bool QTapFilter::filter(QTapReading *reading)

Called when reading changes. Returns false to prevent the reading from propagating.

See also QSensorFilter::filter().